require 'rails/generators'
require 'rails'

module TkdGrid
  module Generators
    class InstallGenerator < Rails::Generators::Base
      
      desc "generator to include tkd-grid assets into your project"
      def add_assets
        css_inject = " *= require normalize\n *= require grid\n"
        app_scss = File.join(Rails.root, 'app', 'assets', 'stylesheets', 'application.scss')
        app_css = File.join(Rails.root, 'app', 'assets', 'stylesheets', 'application.css')

        if File.exist?(app_scss)
          insert_into_file app_scss, css_inject, after: "require_self\n"
        elsif File.exist?(app_css)
          insert_into_file app_css, css_inject, after: "require_self\n"
        else
          say_status("", "Cannot find application.scss or application.css")
        end
      end

    end
  end
end
